Bug 1497109 (CVE-2017-12166) - CVE-2017-12166 openvpn: Incorrect bounds check in read_key() with 'key-method 1'
Summary: CVE-2017-12166 openvpn: Incorrect bounds check in read_key() with 'key-method 1'
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-12166
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1497110 1497111
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-29 08:34 UTC by Adam Mariš
Modified: 2019-09-29 14:23 UTC (History)
4 users (show)

Fixed In Version: openvpn 2.3.18, openvpn 2.4.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:26:23 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-09-29 08:34:50 UTC
An out-of-bounds write vulnerability was found due to incorrect bounds check in read_key() which was performed after using the value, instead of before. This vulnerability is only exposed when explicitly selecting key-method 1 in the config (or on the command line). This allowed an attacker to send a malformed packet to trigger a stack buffer overflow.

External References:

https://community.openvpn.net/openvpn/wiki/CVE-2017-12166

Comment 1 Adam Mariš 2017-09-29 08:35:01 UTC
Acknowledgments:

Name: the OpenVPN project
Upstream: Guido Vranken

Comment 2 Adam Mariš 2017-09-29 08:35:44 UTC
Created openvpn tracking bugs for this issue:

Affects: epel-all [bug 1497110]
Affects: fedora-all [bug 1497111]

Comment 3 Product Security DevOps Team 2019-06-08 03:26:23 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.